Blame SOURCES/bind-9.11-CVE-2018-5744-test.patch

2e2c49
From 4b9bfa5c8cae6f81e94af0f582bf9686320144db Mon Sep 17 00:00:00 2001
2e2c49
From: Mark Andrews <marka@isc.org>
2e2c49
Date: Mon, 10 Dec 2018 13:33:54 +1100
2e2c49
Subject: [PATCH] check that multiple KEY-TAG trust-anchor-telemetry options
2e2c49
 don't leak memory
2e2c49
2e2c49
(cherry picked from commit 4b1dc4a5445e9561f2208f9388cf9f9e2cfcbe51)
2e2c49
(cherry picked from commit f545e9dff1f0eadcdea5531ef7062324d232c716)
2e2c49
(cherry picked from commit 2bda5ac2e1635ac10a595c4ff155516ded7abec2)
2e2c49
---
2e2c49
 bin/tests/system/dnssec/tests.sh | 13 ++++++++++++-
2e2c49
 1 file changed, 12 insertions(+), 1 deletion(-)
2e2c49
2e2c49
diff --git a/bin/tests/system/dnssec/tests.sh b/bin/tests/system/dnssec/tests.sh
2e2c49
index 3156668..b1907c7 100644
2e2c49
--- a/bin/tests/system/dnssec/tests.sh
2e2c49
+++ b/bin/tests/system/dnssec/tests.sh
2e2c49
@@ -3508,11 +3508,22 @@ status=`expr $status + $ret`
2e2c49
 
2e2c49
 echo_i "check that KEY-TAG trust-anchor-telemetry queries are logged ($n)"
2e2c49
 ret=0
2e2c49
-$DIG $DIGOPTS . dnskey +ednsopt=KEY-TAG:ffff @10.53.0.1 > dig.out.ns4.test$n || ret=1
2e2c49
+$DIG $DIGOPTS . dnskey +ednsopt=KEY-TAG:ffff @10.53.0.1 > dig.out.ns1.test$n || ret=1
2e2c49
 grep "trust-anchor-telemetry './IN' from .* 65535" ns1/named.run > /dev/null || ret=1
2e2c49
 n=`expr $n + 1`
2e2c49
 if [ $ret != 0 ]; then echo_i "failed"; fi
2e2c49
 status=`expr $status + $ret`
2e2c49
 
2e2c49
+echo_i "check that multiple KEY-TAG trust-anchor-telemetry options don't leak memory ($n)"
2e2c49
+ret=0
2e2c49
+$DIG $DIGOPTS . dnskey +ednsopt=KEY-TAG:fffe +ednsopt=KEY-TAG:fffd @10.53.0.1 > dig.out.ns1.test$n || ret=1
2e2c49
+grep "trust-anchor-telemetry './IN' from .* 65534" ns1/named.run > /dev/null || ret=1
2e2c49
+grep "trust-anchor-telemetry './IN' from .* 65533" ns1/named.run > /dev/null && ret=1
2e2c49
+(cd "$SYSTEMTESTTOP" && $PERL ./stop.pl dnssec ns1) || ret=1
2e2c49
+(cd "$SYSTEMTESTTOP" && $PERL ./start.pl --noclean --restart --port ${PORT} dnssec ns1) || ret=1
2e2c49
+n=`expr $n + 1`
2e2c49
+test "$ret" -eq 0 || echo_i "failed"
2e2c49
+status=`expr $status + $ret`
2e2c49
+
2e2c49
 echo_i "exit status: $status"
2e2c49
 [ $status -eq 0 ] || exit 1
2e2c49
-- 
2e2c49
2.20.1
2e2c49